> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developer.ordergroove.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developer.ordergroove.com/_mcp/server.

# Retrieve Rotating Delivery Product

GET https://restapi.ordergroove.com/products/{product_id}/rotating_delivery_product/

Returns what product will be revealed at a given order placement date or a given ordinal integer in the series

Reference: https://developer.ordergroove.com/reference/rest-rpc-api/products/rotating-products

## Authentication

- `x-api-key` header (required) — Application API Scope — server-to-server, sent in the `x-api-key` header. See [Authentication](/api-reference/authentication).
- `authorization` header (required) — Storefront API Scope — client-side, scoped to one customer, sent as a signature in the `authorization` header. See [Authentication](/api-reference/authentication).

## Request

### Path parameters

- `product_id` (string, required) — Merchant product ID

### Query parameters

- `date` (string, optional) — Date of order placement (ISO8601 format, Timezone required)
- `ordinal` (integer, optional) — Delivery "position" for the product in the ordinal planned sequence

## Response

### 200

200

- `merchant` (string, optional)
- `groups` (list of ProductsProductIdRotatingDeliveryProductGetResponsesContentApplicationJsonSchemaGroupsItems, optional)
- `name` (string, optional)
- `price` (string, optional)
- `image_url` (string, optional)
- `detail_url` (string, optional)
- `external_product_id` (string, optional)
- `sku` (string, optional)
- `autoship_enabled` (boolean, optional, default: true)
- `premier_enabled` (integer, optional, default: 0)
- `created` (string, optional)
- `last_update` (string, optional)
- `live` (boolean, optional, default: true)
- `discontinued` (boolean, optional, default: true)
- `extra_data` (any, optional)
- `product_type` (string, optional)
- `autoship_by_default` (boolean, optional, default: true)
- `every` (integer, optional, nullable)
- `every_period` (integer, optional, nullable)
- `offer_profile` (string, optional, nullable)
- `incentive_group` (any, optional)

## Errors

### 400 Bad Request Error

400

- `Rotating-productsRequestBadRequestError`

### 403 Forbidden Error

403

- `any`

### 404 Not Found Error

404

- `any`

## Types

### ProductsProductIdRotatingDeliveryProductGetResponsesContentApplicationJsonSchemaGroupsItems

- `name` (string, optional)
- `group_type` (string, optional)

### Rotating product

- `detail` (string, optional)

### Invalid Ordinal

- `detail` (string, optional)

### Invalid Date

- `detail` (string, optional)

### No timezone offset

- `detail` (string, optional)

## Examples

**Response**

```json
{
  "merchant": "ac4f7938383a11e89ecbbc764e1107f2",
  "groups": [
    {
      "name": "subscription",
      "group_type": "eligibility"
    }
  ],
  "name": "Medium Roast Coffee Bag",
  "price": "10.00",
  "image_url": "http://some.image.com",
  "detail_url": "http://some.store.com/medium-roast-coffee-bag",
  "external_product_id": "48398751432995",
  "sku": "48398751432995",
  "autoship_enabled": true,
  "premier_enabled": 0,
  "created": "2024-05-09 15:20:09",
  "last_update": "2024-05-13 08:56:36",
  "live": true,
  "discontinued": false,
  "product_type": "standard",
  "autoship_by_default": true,
  "every": null,
  "every_period": null,
  "offer_profile": null
}
```

**SDK Code**

```python Result
import requests

url = "https://restapi.ordergroove.com/products/product_id/rotating_delivery_product/"

headers = {"x-api-key": "<apiKey>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript Result
const url = 'https://restapi.ordergroove.com/products/product_id/rotating_delivery_product/';
const options = {method: 'GET', headers: {'x-api-key': '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Result
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://restapi.ordergroove.com/products/product_id/rotating_delivery_product/"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("x-api-key", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Result
require 'uri'
require 'net/http'

url = URI("https://restapi.ordergroove.com/products/product_id/rotating_delivery_product/")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java Result
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://restapi.ordergroove.com/products/product_id/rotating_delivery_product/")
  .header("x-api-key", "<apiKey>")
  .asString();
```

```php Result
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://restapi.ordergroove.com/products/product_id/rotating_delivery_product/', [
  'headers' => [
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Result
using RestSharp;

var client = new RestClient("https://restapi.ordergroove.com/products/product_id/rotating_delivery_product/");
var request = new RestRequest(Method.GET);
request.AddHeader("x-api-key", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift Result
import Foundation

let headers = ["x-api-key": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://restapi.ordergroove.com/products/product_id/rotating_delivery_product/")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```